> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore a previously deleted Page

> Restore a previously deleted page.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json PUT /content/api/v2/pages/{page_id}/restore-deleted
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}/restore-deleted:
    put:
      tags:
        - Pages
      summary: Restore a previously deleted Page
      description: Restore a previously deleted page.
      operationId: restoreDeletedPage
      parameters:
        - name: page_id
          in: path
          description: The unique identifier for the page
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully restored page
          content:
            application/json:
              schema:
                type: object
              examples:
                restored_page:
                  summary: Restored page details
                  value:
                    ab: false
                    ab_variation: false
                    analytics_page_id: '817549124'
                    analytics_page_type: standard-page
                    archived: false
                    attached_stylesheets: []
                    author: testapi@hubspot.com
                    author_at: 1554834998622
                    author_email: testapi@hubspot.com
                    author_name: Shoan Chinue
                    author_user_id: 215482
                    author_username: testapi@hubspot.com
                    blueprint_type_id: 0
                    category: 1
                    category_id: 1
                    content_type_category: 4
                    content_type_category_id: 4
                    created: 1552623020841
                    created_by_id: 6513567
                    created_time: 1552623020841
                    css: {}
                    css_text: ''
                    ctas: null
                    current_state: DRAFT
                    currently_published: false
                    deleted_at: 0
                    deleted_by: ''
                    domain: ''
                    featured_image: ''
                    featured_image_alt_text: ''
                    featured_image_height: 0
                    featured_image_length: 0
                    featured_image_width: 0
                    flex_areas: {}
                    freeze_date: 1554129350050
                    has_user_changes: true
                    id: 817549124
                    is_draft: true
                    is_published: false
                    keywords: []
                    label: teste
                    landing_page: false
                    last_edit_session_id: 1554129347295
                    last_edit_update_id: 0
                    layout_sections: {}
                    link_rel_canonical_url: ''
                    mab: false
                    mab_master: false
                    mab_variant: false
                    name: teste
                    page_redirected: false
                    portal_id: 62515
                    preview_key: VUUtxEgQ
                    processing_status: ''
                    publish_date: 0
                    publish_date_local_time: 0
                    publish_immediately: true
                    published_url: ''
                    resolved_domain: demo-hubapi.hs-sites.com
                    site_page: true
                    slug: '-temporary-slug-10c62f94-de9f-4738-ade0-656c5e46550e'
                    state: DRAFT
                    state_when_deleted: ''
                    subcategory: site_page
                    team_perms: []
                    template_path: generated_layouts/710735994.html
                    template_path_for_render: generated_layouts/710735994.html
                    translated_content: {}
                    tweet_immediately: false
                    unpublished_at: 0
                    updated: 1554834998622
                    updated_by_id: 215482
                    upsize_featured_image: false
                    use_featured_image: false
                    user_perms: []
                    widget_containers: {}
                    widgetcontainers: {}
                    widgets: {}

````